% The model sets some measurement error on net worth.  If net worth is not
% included in the financial variables, it should not have measurement error,
% and that measurement error should not be estimated.
 
@#define net_worth_in_financial_data = ("networth_obs" in financial_data)

% The model estimates an autocorrelation and standard deviation term for
% the term structure.  If the spread is not included in the data, then
% the autocorrelation and standard deviation should not be estimated.

@#define Spread1_in_financial_data = ("Spread1_obs" in financial_data)

% When no financial data were included in the model, par8 is also not
% estimated. So, we need an indicator to see if no financial data are
% in the observable variables.

@#define credit_in_financial_data = ("credit_obs" in financial_data)
@#define premium_in_financial_data = ("premium_obs" in financial_data)

@#define some_financial_data = (Spread1_in_financial_data || credit_in_financial_data || premium_in_financial_data || net_worth_in_financial_data)

@#define cee = 0

