function cross_corr(spread,ly,lc,premium,credit,li,equity,infl)

%   here are the data mnemonics:
%data variable, model variable
%dy,lyHP   (output)
%dS, spreadHP  (interest rate spread, Long minus Short rate)
%dpremium, premiumHP  (interest rate premium)
%dcr, creditHP  (credit)
%di, liHP  (investment)
%dequity ,equityHP (equity)
%dcons, consHP (consumption)
%dinfl, inflHP  (inflation)

addpath('..\PFANN');
%dbstop at 97
yoy=1;%=0, quarterly differences; = 1, annual differences

%following are transformations of model data...

if yoy==1
    price=cumsum(infl);
    dly=zeros(length(ly)-4,1);
    dlc=zeros(length(lc)-4,1);
    dli=zeros(length(lc)-4,1);
    Dequity=zeros(length(lc)-4,1);
    dcredit=zeros(length(lc)-4,1);
    Dinfl=zeros(length(lc)-4,1);
    for ii = 5:length(ly)
        dly(ii-4)=(ly(ii)-ly(ii-4))/4;
        dlc(ii-4)=(lc(ii)-lc(ii-4))/4;
        dli(ii-4)=(li(ii)-li(ii-4))/4;
        Dequity(ii-4)=(equity(ii)-equity(ii-4))/4;
        dcredit(ii-4)=(credit(ii)-credit(ii-4))/4;
        Dinfl(ii-4)=(price(ii)-price(ii-4))/4;
    end
    dspread=spread(5:end);
    Dpremium=premium(5:end);    
elseif yoy==0
    dly=diff(ly);
    dlc=diff(lc);
    dli=diff(li);
    Dequity=diff(equity);
    dcredit=diff(credit);
    dspread=spread(2:end);
    Dinfl=infl(2:end);
    Dpremium=premium(2:end);
end

[lyHP,ty]=hpfast(ly,1600);
[spreadHP,ty]=hpfast(spread,1600);
[premiumHP,ty]=hpfast(premium,1600);
[creditHP,ty]=hpfast(credit,1600);
[liHP,ty]=hpfast(li,1600);
[equityHP,ty]=hpfast(equity,1600);
[consHP,ty]=hpfast(lc,1600);
[inflHP,ty]=hpfast(infl,1600);

%dbstop at 60
%transformations of the actual data
load data_BAAoverTB
tt=1981:1/4:2010+1/4;
[Y,I]=min(abs(tt-1985));
tt=tt(I:end);

% these are the variables in bgg_data.mat:
%Re_obs          consumption_obs  gdp_obs          inflation_obs    networth_obs     premium_obs      
%Spread1_obs     credit_obs       hours_obs        investment_obs   pinvest_obs      wage_obs 

[y_growth]=difftrans(gdp_obs,yoy,I);
[dy,ty]=hpfast(cumsum(log(gdp_obs(I:end))),1600);

[c_growth]=difftrans(consumption_obs,yoy,I);
[dcons,tS]=hpfast(cumsum(log(consumption_obs(I:end))),1600);

[credit_growth]=difftrans(credit_obs,yoy,I);
[dcr,tS]=hpfast(cumsum(log(credit_obs(I:end))),1600);

[li_growth]=difftrans(investment_obs,yoy,I);
[di,tS]=hpfast(cumsum(log(investment_obs(I:end))),1600);

[equity_growth]=difftrans(networth_obs,yoy,I);
[dequity,tS]=hpfast(cumsum(log(networth_obs(I:end))),1600);

spread_growth=log(Spread1_obs(I:end));
[dS,tS]=hpfast(log(Spread1_obs(I:end)),1600);

premium_growth=log(premium_obs(I:end));
[dpremium,tS]=hpfast((log(premium_obs(I:end))),1600);

[infl_growth]=difftrans(inflation_obs,yoy,I);
[dinfl,tS]=hpfast((log(inflation_obs(I:end))),1600);

df=0;%this means HP filter
figure('name','figure for manuscript_HP')
pltt(lyHP,spreadHP,dy,      dS,           premiumHP,dpremium,      creditHP,dcr,          liHP,di,       equityHP,dequity,      consHP,  dcons,   inflHP,dinfl,df,yoy);

df=1;%this means growth
figure('name','figure for manuscript_growth')
pltt(dly, dspread, y_growth,spread_growth,Dpremium, premium_growth,dcredit, credit_growth,dli, li_growth,Dequity, equity_growth,dlc,     c_growth,Dinfl, infl_growth,df,yoy);
1+1;
